repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: "v4.4.0"
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: trailing-whitespace

  - repo: https://github.com/PyCQA/autoflake
    rev: "v2.1.1"
    hooks:
      - id: autoflake
        args:
          - "--in-place"
          - "--expand-star-imports"
          - "--remove-duplicate-keys"
          - "--remove-unused-variables"
          - "--remove-all-unused-imports"

  - repo: https://github.com/psf/black
    rev: "23.3.0"
    hooks:
      - id: black

  - repo: https://github.com/PyCQA/isort
    rev: "5.12.0"
    hooks:
      - id: isort

  - repo: https://github.com/PyCQA/bandit
    rev: "1.7.5"
    hooks:
      - id: bandit

  - repo: https://gitlab.com/brettops/tools/badgie
    rev: "0.9.0"
    hooks:
      - id: badgie

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v3.0.0-alpha.9-for-vscode"
    hooks:
      - id: prettier

  - repo: https://github.com/jazzband/pip-tools
    rev: "6.13.0"
    hooks:
      - id: pip-compile
        args: ["--no-emit-index-url", "--upgrade"]

  - repo: https://github.com/Yelp/detect-secrets
    rev: "v1.4.0"
    hooks:
      - id: detect-secrets
        args: ["--baseline", ".secrets.baseline"]
